package com.qmth.distributed.print.business.bean.result.analyze;

import com.qmth.teachcloud.common.enums.DimensionEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 分析试卷维度结果类
 * @Author: CaoZixuan
 * @Date: 2022-05-27
 */
public class GradePaperDimensionResult {
    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "维度类型")
    private DimensionEnum dimensionType;

    @ApiModelProperty(value = "一级维度编号")
    private String codePrimary;

    @ApiModelProperty(value = "一级维度名称")
    private String namePrimary;

    @ApiModelProperty(value = "二级维度编号")
    private String codeSecond;

    @ApiModelProperty(value = "二级维度名称")
    private String nameSecond;

    @ApiModelProperty(value = "一级维度术语解释")
    private String interpretation;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public DimensionEnum getDimensionType() {
        return dimensionType;
    }

    public void setDimensionType(DimensionEnum dimensionType) {
        this.dimensionType = dimensionType;
    }

    public String getCodePrimary() {
        return codePrimary;
    }

    public void setCodePrimary(String codePrimary) {
        this.codePrimary = codePrimary;
    }

    public String getNamePrimary() {
        return namePrimary;
    }

    public void setNamePrimary(String namePrimary) {
        this.namePrimary = namePrimary;
    }

    public String getCodeSecond() {
        return codeSecond;
    }

    public void setCodeSecond(String codeSecond) {
        this.codeSecond = codeSecond;
    }

    public String getNameSecond() {
        return nameSecond;
    }

    public void setNameSecond(String nameSecond) {
        this.nameSecond = nameSecond;
    }

    public String getInterpretation() {
        return interpretation;
    }

    public void setInterpretation(String interpretation) {
        this.interpretation = interpretation;
    }
}
